Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core.model
Interface IPersistableSourceLocator

All Superinterfaces:
  ISourceLocator

All Known Subinterfaces:
  IPersistableSourceLocator2, ISourceLookupDirector

All Known Implementing Classes:
  AbstractSourceLookupDirector

public interface IPersistableSourceLocator
extends ISourceLocator

A source locator that can be persisted and restored, to be used with a specfic launch configuration. The debug plug-in defines a source locator extension point for persistable source locators.

A source locator extension is defined in `plugin.xml`. Following is an example definition of a source locator extension.

     <extension point="org.eclipse.debug.core.sourceLocators">
       <sourceLocator
          id="com.example.ExampleIdentifier"
          class="com.example.ExampleSourceLocator"
          name="Example Source Locator">
       </sourceLocator>
     </extension>

The attributes are specified as follows:

- `id` specifies a unique identifier for this source locator.
- `class` specifies the fully qualified name of the Java class that implements `IPersistableSourceLocator`.
- `name` a human readable name, describing the type of this source locator.

Clients may implement this interface.

Since:
  2.0
See Also:
  `ILaunch`, `IStackFrame`, `IDebugModelPresentation`

Method Summary
`String` | `getMemento()` Returns a memento that can be used to reconstruct this source locator
`void` | `initializeDefaults(ILaunchConfiguration configuration)` Initializes this source locator to perform default source lookup for the given launch configuration.
`void` | `initializeFromMemento(String memento)` Initializes this source locator based on the given memento.

Methods inherited from interface org.eclipse.debug.core.model.ISourceLocator
`getSourceElement`

Method Detail

### getMemento

    public String getMemento()
                      throws CoreException

  Returns a memento that can be used to reconstruct this source locator

  Returns:
    a memento that can be used to reconstruct this source locator
  Throws:
    `CoreException` - if unable to construct a memento

### initializeFromMemento

    public void initializeFromMemento(String memento)
                               throws CoreException

  Initializes this source locator based on the given memento.

  Parameters:
    `memento` - a memento to initialize this source locator
  Throws:
    `CoreException` - on failure to initialize

### initializeDefaults

    public void initializeDefaults(ILaunchConfiguration configuration)
                            throws CoreException

  Initializes this source locator to perform default source lookup for the given launch configuration.

  Parameters:
    `configuration` - launch configuration this source locator will be performing souce lookup for
  Throws:
    `CoreException` - on failure to initialize

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.